Mailinglist Archive: opensuse-updates (98 mails)

< Previous Next >
openSUSE-SU-2015:0542-1: moderate: Security update for krb5
openSUSE Security Update: Security update for krb5
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0542-1
Rating: moderate
References: #910457 #910458 #918595
Cross-References: CVE-2014-5353 CVE-2014-5354 CVE-2014-5355

Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

krb5 was updated to fix three security issues.

Remote authenticated users could cause denial of service.

On openSUSE 13.1 and 13.2 krb5 was updated to fix the following
vulnerabilities:
- bnc#910457: CVE-2014-5353: NULL pointer dereference when using a ticket
policy name as password name
- bnc#918595: CVE-2014-5355: krb5: denial of service in krb5_read_message
On openSUSE 13.1 krb5 was updated to fix the following vulnerability:
- bnc#910458: CVE-2014-5354: NULL pointer dereference when using keyless
entries


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-246=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-246=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

krb5-1.12.2-12.1
krb5-client-1.12.2-12.1
krb5-client-debuginfo-1.12.2-12.1
krb5-debuginfo-1.12.2-12.1
krb5-debugsource-1.12.2-12.1
krb5-devel-1.12.2-12.1
krb5-doc-1.12.2-12.1
krb5-mini-1.12.2-12.1
krb5-mini-debuginfo-1.12.2-12.1
krb5-mini-debugsource-1.12.2-12.1
krb5-mini-devel-1.12.2-12.1
krb5-plugin-kdb-ldap-1.12.2-12.1
krb5-plugin-kdb-ldap-debuginfo-1.12.2-12.1
krb5-plugin-preauth-otp-1.12.2-12.1
krb5-plugin-preauth-otp-debuginfo-1.12.2-12.1
krb5-plugin-preauth-pkinit-1.12.2-12.1
krb5-plugin-preauth-pkinit-debuginfo-1.12.2-12.1
krb5-server-1.12.2-12.1
krb5-server-debuginfo-1.12.2-12.1

- openSUSE 13.2 (x86_64):

krb5-32bit-1.12.2-12.1
krb5-debuginfo-32bit-1.12.2-12.1
krb5-devel-32bit-1.12.2-12.1

- openSUSE 13.1 (i586 x86_64):

krb5-1.11.3-3.18.1
krb5-client-1.11.3-3.18.1
krb5-client-debuginfo-1.11.3-3.18.1
krb5-debuginfo-1.11.3-3.18.1
krb5-debugsource-1.11.3-3.18.1
krb5-devel-1.11.3-3.18.1
krb5-doc-1.11.3-3.18.1
krb5-mini-1.11.3-3.18.1
krb5-mini-debuginfo-1.11.3-3.18.1
krb5-mini-debugsource-1.11.3-3.18.1
krb5-mini-devel-1.11.3-3.18.1
krb5-plugin-kdb-ldap-1.11.3-3.18.1
krb5-plugin-kdb-ldap-debuginfo-1.11.3-3.18.1
krb5-plugin-preauth-pkinit-1.11.3-3.18.1
krb5-plugin-preauth-pkinit-debuginfo-1.11.3-3.18.1
krb5-server-1.11.3-3.18.1
krb5-server-debuginfo-1.11.3-3.18.1

- openSUSE 13.1 (x86_64):

krb5-32bit-1.11.3-3.18.1
krb5-debuginfo-32bit-1.11.3-3.18.1
krb5-devel-32bit-1.11.3-3.18.1


References:

http://support.novell.com/security/cve/CVE-2014-5353.html
http://support.novell.com/security/cve/CVE-2014-5354.html
http://support.novell.com/security/cve/CVE-2014-5355.html
https://bugzilla.suse.com/910457
https://bugzilla.suse.com/910458
https://bugzilla.suse.com/918595


< Previous Next >
This Thread
  • No further messages